org.springframework.batch.core.repository.dao

## Class XStreamExecutionContextStringSerializer

- java.lang.Object
- - org.springframework.batch.core.repository.dao.XStreamExecutionContextStringSerializer

- All Implemented Interfaces:
    ExecutionContextSerializer, org.springframework.beans.factory.InitializingBean, org.springframework.core.serializer.Deserializer<java.util.Map<java.lang.String,java.lang.Object>>, org.springframework.core.serializer.Serializer<java.util.Map<java.lang.String,java.lang.Object>>

  Deprecated.
  Due to the incompatibilities between current Jettison versions and XStream versions, this serializer is deprecated in favor of `Jackson2ExecutionContextStringSerializer`

      @Deprecated
      public class XStreamExecutionContextStringSerializer
      extends java.lang.Object
      implements ExecutionContextSerializer, org.springframework.beans.factory.InitializingBean

  Implementation that uses XStream and Jettison to provide serialization.
  Since:
    2.0
  Author:
    Thomas Risberg, Michael Minella, Mahmoud Ben Hassine
  See Also:
    `ExecutionContextSerializer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XStreamExecutionContextStringSerializer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()` Deprecated.
    `java.util.Map<java.lang.String,java.lang.Object>` | `deserialize(java.io.InputStream in)` Deprecated. Deserializes the supplied input stream into a new execution context.
    `void` | `init()` Deprecated.
    `void` | `serialize(java.util.Map<java.lang.String,java.lang.Object> context, java.io.OutputStream out)` Deprecated. Serializes the passed execution context to the supplied OutputStream.
    `void` | `setHierarchicalStreamDriver(com.thoughtworks.xstream.io.HierarchicalStreamDriver hierarchicalStreamDriver)` Deprecated.
    `void` | `setReflectionProvider(com.thoughtworks.xstream.converters.reflection.ReflectionProvider reflectionProvider)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.core.serializer.Serializer

      `serializeToByteArray`

    - ### Methods inherited from interface org.springframework.core.serializer.Deserializer

      `deserializeFromByteArray`

- - ### Constructor Detail

    - #### XStreamExecutionContextStringSerializer

          public XStreamExecutionContextStringSerializer()

      Deprecated.

  - ### Method Detail

    - #### setReflectionProvider

          public void setReflectionProvider(com.thoughtworks.xstream.converters.reflection.ReflectionProvider reflectionProvider)

      Deprecated.

    - #### setHierarchicalStreamDriver

          public void setHierarchicalStreamDriver(com.thoughtworks.xstream.io.HierarchicalStreamDriver hierarchicalStreamDriver)

      Deprecated.

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Deprecated.
      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`

    - #### init

          public void init()
                    throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### serialize

          public void serialize(java.util.Map<java.lang.String,java.lang.Object> context,
                                java.io.OutputStream out)
                         throws java.io.IOException

      Deprecated.
      Serializes the passed execution context to the supplied OutputStream.
      Specified by:
        `serialize` in interface `org.springframework.core.serializer.Serializer<java.util.Map<java.lang.String,java.lang.Object>>`
      Parameters:
        `context` - `Map` containing the context information.
        `out` - `OutputStream` where the serialized context information will be written.
      Throws:
        `java.io.IOException`
      See Also:
        `Serializer.serialize(Object, OutputStream)`

    - #### deserialize

          public java.util.Map<java.lang.String,java.lang.Object> deserialize(java.io.InputStream in)
                                                                       throws java.io.IOException

      Deprecated.
      Deserializes the supplied input stream into a new execution context.
      Specified by:
        `deserialize` in interface `org.springframework.core.serializer.Deserializer<java.util.Map<java.lang.String,java.lang.Object>>`
      Parameters:
        `in` - `InputStream` containing the information to be deserialized.
      Returns:
        a reconstructed execution context
      Throws:
        `java.io.IOException`
      See Also:
        `Deserializer.deserialize(InputStream)`